export default class TimeLengthInput {
    public readonly value: string;

    constructor(input: string) {
        this.value = input;
    }

    public GetDays(): number {
        return this.GetValue('d');
    }

    public GetHours(): number {
        return this.GetValue('h');
    }

    public GetMinutes(): number {
        return this.GetValue('m');
    }

    public GetSeconds(): number {
        return this.GetValue('s');
    }

    public GetDateFromNow(): Date {
        const now = Date.now();

        const dateFromNow = now
            + (1000 * this.GetSeconds())
            + (1000 * 60 * this.GetMinutes())
            + (1000 * 60 * 60 * this.GetHours())
            + (1000 * 60 * 60 * 24 * this.GetDays());

        return new Date(dateFromNow);
    }

    private GetValue(designation: string): number {
        const valueSplit = this.value.split(' ');

        const desString = valueSplit.find(x => x.charAt(x.length) == designation);

        if (!desString) return 0;

        const desNumber = Number(desString.substring(0, desString.length - 1));

        return desNumber;
    }
}