import { CoreClient } from "./client/client";
import * as dotenv from "dotenv";
import registry from "./registry";
import { IntentsBitField } from "discord.js";
import TimeLengthInput from "./helpers/TimeLengthInput";

dotenv.config();

const requiredConfigs: string[] = [
    "BOT_TOKEN",
    "BOT_VER",
    "BOT_AUTHOR",
    "BOT_OWNERID",
    "BOT_CLIENTID",
];

requiredConfigs.forEach(config => {
    if (!process.env[config]) {
        throw `${config} is required in .env`;
    }
});

const client = new CoreClient([
    IntentsBitField.Flags.Guilds,
    IntentsBitField.Flags.GuildMessages,
    IntentsBitField.Flags.GuildMembers,
    IntentsBitField.Flags.MessageContent,
]);

registry.RegisterCommands();
registry.RegisterEvents();

client.start();

const val = '';

const timeLength = new TimeLengthInput(val);

console.log(`Seconds: ${timeLength.GetSeconds()}`);
console.log(`Minutes: ${timeLength.GetMinutes()}`);
console.log(`Hours: ${timeLength.GetHours()}`);
console.log(`Days: ${timeLength.GetDays()}`);
console.log(`From Now: ${timeLength.GetDateFromNow()}`);